com.opensymphony.xwork2.interceptor

## Class AbstractInterceptor

- java.lang.Object
- - com.opensymphony.xwork2.interceptor.AbstractInterceptor

- All Implemented Interfaces:
    Interceptor, Serializable
  Direct Known Subclasses:
    AliasInterceptor, AnnotationParameterFilterInterceptor, AnnotationWorkflowInterceptor, ChainingInterceptor, CheckboxInterceptor, ClearSessionInterceptor, CoepInterceptor, CookieInterceptor, CookieProviderInterceptor, CoopInterceptor, CreateSessionInterceptor, CspInterceptor, DateTextFieldInterceptor, DebuggingInterceptor, ExceptionMappingInterceptor, FetchMetadataInterceptor, FileUploadInterceptor, I18nInterceptor, LoggingInterceptor, MessageStoreInterceptor, MethodFilterInterceptor, MockInterceptor, ModelDrivenInterceptor, MultiselectInterceptor, NoOpInterceptor, ParameterFilterInterceptor, ParameterRemoverInterceptor, RolesInterceptor, ScopedModelDrivenInterceptor, ScopeInterceptor, ServletConfigInterceptor, StaticParametersInterceptor

      public abstract class AbstractInterceptor
      extends Object
      implements Interceptor

  Provides default implementations of optional lifecycle methods
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Does nothing
    `void` | `init()` Does nothing
    `abstract String` | `intercept(ActionInvocation invocation)` Override to handle interception

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractInterceptor

          public AbstractInterceptor()

  - ### Method Detail

    - #### init

          public void init()

      Does nothing
      Specified by:
        `init` in interface `Interceptor`

    - #### destroy

          public void destroy()

      Does nothing
      Specified by:
        `destroy` in interface `Interceptor`

    - #### intercept

          public abstract String intercept(ActionInvocation invocation)
                                    throws Exception

      Override to handle interception
      Specified by:
        `intercept` in interface `Interceptor`
      Parameters:
        `invocation` - the action invocation
      Returns:
        the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
      Throws:
        `Exception` - any system-level error, as defined in `Action.execute()`.

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.